# Generated automatically from Makefile.in by configure.
############################################################################
#                                                                          #
# The contents of this file are subject to the WebStone Public License     #
# Version 1.0 (the "License"); you may not use this file except in         #
# compliance with the License. You may obtain a copy of the License        #
# at http://www.mindcraft.com/webstone/license10.html                      #
#                                                                          #
# Software distributed under the License is distributed on an "AS IS"      #
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See      #
# the License for the specific language governing rights and limitations   #
# under the License.                                                       #
#                                                                          #
# The Original Code is WebStone 2.5.                                       #
#                                                                          #
# The Initial Developer of the Original Code is Silicon Graphics, Inc.     #
# and Mindcraft, Inc.. Portions created by Silicon Graphics. and           #
# Mindcraft. are Copyright (C) 1995#1998 Silicon Graphics, Inc. and        #
# Mindcraft, Inc. All Rights Reserved.                                     #
#                                                                          #
# Contributor(s): ______________________________________.                  #
#                                                                          #
############################################################################

# Makefile.in 1.10 
# nsapi-send Makefile

# This is the name of the directory where the Netscape server is installed.
NETSCAPEDIR = /mc/perf/webstone

# CFLAGS may have to be changed so that the Netscape web server header
# files will define the right symbols for this system.  Possible values
# are BSDI, SOLARIS, SUNOS4, OSF1, AIX, HPUX, IRIX, and WIN32
# Supported so far in 'configure': SOLARIS, OSF1, IRIX.
NSAPICFLAGS		= 

# The command line to produce a shared-object library
# If 'configure' didn't fill in the correct command here, edit
# the Makefile and do 'make api' from the WebStone/src directory.
LD_SHAREDCMD	= ld -shared

NSAPIDEFS	= -DMCC_HTTPD -DXP_UNIX
NSAPIINCLUDES	= -I$(NETSCAPEDIR)/nsapi/include
COMPILE		= $(CC) $(CFLAGS) $(NSAPICFLAGS) $(NSAPIDEFS) $(INCLUDES) \
	$(NSAPIINCLUDES)

.SUFFIXES:
.SUFFIXES: .c .o .so


OBJECTS =  ws20_ns.o ws25_ns.o
TARGETS =  ws20_ns.so ws25_ns.so

all: $(TARGETS)

ws20_ns.so: ws20_ns.o

ws25_ns.so: ws25_ns.o

.o.so:
	$(LD_SHAREDCMD) $< -o $@

.c.o:
	@echo "COMPILING FILE " $<
	$(COMPILE) -c $< -o $@

install: all
	cp $(TARGETS) ../../lgm

clean:
	rm -f $(OBJECTS)

clobber: clean
	rm -f $(TARGETS)
